- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- ReadStream
- WriteStream

# NAME

stream - Image Pixel FIFO

# SYNOPSIS

unsigned int ReadStream( const ImageInfo *image_info, void(* Stream )( const Image *, const void *, const size_t ), ExceptionInfo *exception );

unsigned int WriteStream( const ImageInfo *image_info, Image *, int(* Stream )( const Image *, const void *, const size_t ));

# FUNCTION DESCRIPTIONS

## ReadStream

Method ReadStream makes the image pixels available to a user supplied callback method immediately upon reading a scanline with the `ReadImage()` method.

The format of the ReadStream method is:

> unsigned int ReadStream ( const ImageInfo *image_info, void ( *Stream ) ( const Image *, const void *, const size_t ), ExceptionInfo *exception );

A description of each parameter follows:

status:
  Method ReadStream returns True if the image pixels are streamed to the user supplied callback method otherwise False.

image_info:
  Specifies a pointer to an ImageInfo structure.

stream:
  a callback method.

exception:
  return any errors or warnings in this structure.

## WriteStream

Method WriteStream makes the image pixels available to a user supplied callback method immediately upon writing pixel data with the `WriteImage()` method.

The format of the WriteStream method is:

> unsigned int WriteStream ( const ImageInfo *image_info, Image *, int ( *Stream ) ( const Image *, const void *, const size_t ) );

A description of each parameter follows:

status:
  Method WriteStream returns True if the image pixels are streamed to the user supplied callback method otherwise False.

image_info:
  Specifies a pointer to an ImageInfo structure.

stream:
  a callback method.